Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[kdebluetooth] emerge crash
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
BENJI
Guru
Guru


Joined: 10 Sep 2003
Posts: 543

PostPosted: Thu Oct 23, 2008 12:52 pm    Post subject: [kdebluetooth] emerge crash Reply with quote

Bonjour,

J'essaye de mettre en place une synchronisation bluetooth entre mon PC et mon tel portable.
Pour ça j'ai suivi le guide bluetooth de la documentation, gentoo pour configurer correctement le noyau et l'installation des bon paquets.
Malheureusement
Code:
 emerge bluez-utils kdebluetooth
plante au dernier paquet net-wireless/kdebluetooth-1.0_beta1-r2

Voilà le message d'erreur mais je n trouve pas vraiment d'où vient le problème, à votre avis ?
Code:
less /var/tmp/portage/net-wireless/kdebluetooth-1.0_beta1-r2/temp/build.log
/usr/qt/3/include/qstring.h:362: warning: conversion to 'unsigned int:30' from 'uint' may alter its value
/bin/sh ../../libtool --silent --tag=CXX --mode=compile i686-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I../.. -I/usr/kde/3.5/include -I/usr/qt/3/include -I.
-I/usr/kde/3.5/include -I/usr/include -I/usr/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -Wnon-virtual-dtor -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -
D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -DNDEBUG -DNO_DEBUG -O2 -O2 -march=pentium3 -pipe -Wformat-s
ecurity -Wmissing-format-attribute -fno-exceptions -fno-check-new -fno-common -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANS
LATION  -c -o sdpdevice.lo sdpdevice.cpp
sdpattribute.cpp: In member function 'KBluetooth::SDP::uuid_t::operator uuid_t() const':
sdpattribute.cpp:111: warning: suggest parentheses around comparison in operand of |
In file included from sdpattribute.h:15,
                 from sdpservice.h:16,
                 from sdpdevice.h:17,
                 from sdpdevice.cpp:13:
/usr/qt/3/include/qstring.h: In member function 'char QChar::latin1() const':
/usr/qt/3/include/qstring.h:194: warning: conversion to 'char' from 'int' may alter its value
/usr/qt/3/include/qstring.h: In member function 'void QChar::setCell(uchar)':
/usr/qt/3/include/qstring.h:219: warning: conversion to 'ushort' from 'int' may alter its value
/usr/qt/3/include/qstring.h: In member function 'void QChar::setRow(uchar)':
/usr/qt/3/include/qstring.h:220: warning: conversion to 'ushort' from 'int' may alter its value
/usr/qt/3/include/qstring.h: In constructor 'QChar::QChar(uchar, uchar)':
/usr/qt/3/include/qstring.h:264: warning: conversion to 'ushort' from 'int' may alter its value
/usr/qt/3/include/qstring.h: In constructor 'QStringData::QStringData(QChar*, uint, uint)':
/usr/qt/3/include/qstring.h:362: warning: conversion to 'unsigned int:30' from 'uint' may alter its value
/usr/qt/3/include/qstring.h:362: warning: conversion to 'unsigned int:30' from 'uint' may alter its value
sdpdevice.cpp: In member function 'void KBluetooth::SDP::Device::updateServices()':
sdpdevice.cpp:114: error: 'free' was not declared in this scope
make[3]: *** [sdpdevice.lo] Error 1
make[3]: *** Waiting for unfinished jobs....
make[3]: Leaving directory `/var/tmp/portage/net-wireless/kdebluetooth-1.0_beta1-r2/work/kdebluetooth-1.0_beta1/kdebluetooth/libkbluetooth'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/net-wireless/kdebluetooth-1.0_beta1-r2/work/kdebluetooth-1.0_beta1/kdebluetooth'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/net-wireless/kdebluetooth-1.0_beta1-r2/work/kdebluetooth-1.0_beta1'
make: *** [all] Error 2
 *
 * ERROR: net-wireless/kdebluetooth-1.0_beta1-r2 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 4061:  Called kde_src_compile
 *             environment, line 2886:  Called kde_src_compile 'src_compile'
 *             environment, line 3011:  Called kde_src_compile 'src_compile' 'all' 'myconf'
 *             environment, line 3007:  Called die
 * The specific snippet of code:
 *                   emake || die "died running emake, $FUNCNAME:make"
 *  The die message:
 *   died running emake, kde_src_compile:make
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/net-wireless/kdebluetooth-1.0_beta1-r2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-wireless/kdebluetooth-1.0_beta1-r2/temp/environment'.
Back to top
View user's profile Send private message
BENJI
Guru
Guru


Joined: 10 Sep 2003
Posts: 543

PostPosted: Wed Oct 29, 2008 8:39 am    Post subject: Reply with quote

UP !

Je pensais que la récente mise à jour de GCC dans portage pourrait résoudre le problème mais un nouvel essai ce matin me conduit au même résultat.
Quelqu'un a t-il une idée ?
Arrivez-vous à lancer un
Code:
emerge bluez-utils kdebluetooth

Merci.
Back to top
View user's profile Send private message
jerep6
Apprentice
Apprentice


Joined: 02 Aug 2006
Posts: 215
Location: Landes

PostPosted: Wed Oct 29, 2008 3:05 pm    Post subject: Reply with quote

Salut, essaie d'installer net-wireless/kdebluetooth-1.0_beta8.
J'ai réussi à compiler cette version le Mon Dec 17 21:25:40 2007. Ça devrait peut être fonctionner chez toi.

Voilà c'est tout ce que je peux te dire.
Back to top
View user's profile Send private message
BENJI
Guru
Guru


Joined: 10 Sep 2003
Posts: 543

PostPosted: Wed Oct 29, 2008 9:01 pm    Post subject: Reply with quote

Je comprends jamais rien à ces erreurs :
Code:
atauataualpa ben # emerge bluez-utils '=net-wireless/kdebluetooth-1.0_beta8'
--- Invalid atom in /etc/portage/package.keywords: net-wireless/kdebluetooth-1.0_beta8
Calculating dependencies \
!!! All ebuilds that could satisfy "=net-wireless/kdebluetooth-1.0_beta8" have been masked.
!!! One of the following masked packages is required to complete your request:
- net-wireless/kdebluetooth-1.0_beta8 (masked by: ~x86 keyword)

For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook.
J'ai pourtant ajouté cette ligne à mon package.keyword
Code:
net-wireless/kdebluetooth-1.0_beta8 ~x86
Back to top
View user's profile Send private message
Gef
Apprentice
Apprentice


Joined: 17 May 2008
Posts: 180
Location: France

PostPosted: Wed Oct 29, 2008 10:36 pm    Post subject: Reply with quote

Quote:
Invalid atom in /etc/portage/package.keywords: net-wireless/kdebluetooth-1.0_beta8

Il manque un "=" devant l'item, voir le man qui va bien.
_________________
Laptop : Gentoo ~amd64
(remote) Server : Gentoo amd64
Back to top
View user's profile Send private message
SlashRhumSlashNeisson
Apprentice
Apprentice


Joined: 30 Dec 2006
Posts: 200
Location: Lille

PostPosted: Thu Oct 30, 2008 4:14 am    Post subject: Reply with quote

Salut,

BENJI wrote:
J'ai pourtant ajouté cette ligne à mon package.keyword(s)

Code:
net-wireless/kdebluetooth-1.0_beta8 ~x86


Inutile de mettre la version :wink:

Code:
# vi /etc/portage/package.keywords


Code:
net-wireless/kdebluetooth ~x86

_________________
Gentoo only
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum